#2 OpenOffice Integration 2.0.5 | Eclipse 3.1.2 crash

closed-works-for-me
Plugins (4)
5
2007-03-11
2006-05-04
interoperate
No

I realize it isn't EasyEclipse.

I'm running Eclipse 3.1.2 on Fedora Core 5 (installed
via yum).

When trying to open OO.o documents in the Subclipse
repository (having selected the System Editor), Eclipse
starts scanning and looking for Office Applications.
After scanning thru the hard disk it eventually crashes
with an error > see attached eclipse_crash.png screen
capture.

Prior to installing the plugin, the icons for the OOo
docs were non standard blogs, however the System Editor
started correctly. After installing the plugin they now
show as the correct OOo icons, but the System Editor
never starts.

Would be great to have this fixed as it would be great
to promote OOo docs in Subversion that are managed via
Eclipse + the plugin.

thanks | frank

Discussion

  • interoperate
    interoperate
    2006-05-04

    Screen Capture of Eclipse crash

     
    Attachments
  • Logged In: NO

    Frank:
    I'll need some time so I upgrade to FC5...
    Coudl you also try to make that test with an EasyEclipse
    distro like the started Java instead of the Eclispe you got
    through yum?

     
  • Logged In: NO

    I wonder if it is a Java issue... have you tried installing
    an EasyEclipse instead?
    Which VM and version do you run?
    EsayEClipse comes bundled with a Sun KVM to avoid any
    issues, the yum installed Eclipse may be specially complied
    with GCJ, and that may be an issue.

     
  • Logged In: NO

    I wonder if it is a Java issue... have you tried installing
    an EasyEclipse instead?
    Which VM and version do you run?
    EsayEClipse comes bundled with a Sun KVM to avoid any
    issues, the yum installed Eclipse may be specially complied
    with GCJ, and that may be an issue.

     
    • assigned_to: nobody --> pombredanne
     
  • Logged In: YES
    user_id=879778

    Did you get a chance to run that on top of EasyEclipse as
    opposed to the FC5 provided Eclipse?
    That one is using GCJ and that may be the source of the problem.

     
    • labels: 835990 --> Plugins
     
    • status: open --> open-accepted
     
  • Logged In: YES
    user_id=879778
    Originator: NO

    Frank:
    I was not able to reproduce the bug with the latest versions (EasyEclipse 1.2.x).
    If I do not get feedback from you in a few , I will go ahead and close that one.

     
    • status: open-accepted --> closed-works-for-me
     
  • Logged In: YES
    user_id=879778
    Originator: NO

    Closing as the problem was not reproduced since.